Skip to main content
GET
/
v1
/
account
/
{accountSlug}
/
project
/
{projectSlug}
/
vnets
/
{vnetId}
/
transactions
/
{txHash}
Get Virtual Environment transaction by hash
curl --request GET \
  --url https://api.tenderly.co/api/v1/account/{accountSlug}/project/{projectSlug}/vnets/{vnetId}/transactions/{txHash} \
  --header 'X-Access-Key: <api-key>'
{
  "id": "a3235752-0f5a-4d32-8e43-e7629a9f7462",
  "vnet_id": "d6cf4c06-24c3-4841-9a85-e77ed341d8e2",
  "origin": "rpc",
  "category": "write",
  "kind": "cheatcode",
  "status": "success",
  "error_reason": null,
  "rpc_method": "hardhat_mine",
  "created_at": "2024-04-19T12:21:48.373698Z",
  "block_number": "0x12c5113",
  "block_hash": "0xe28d8b295d236f85db34dc12982f5235e361101a26cf35f4be798fb000997194",
  "tx_hash": "0x0288ab91522c19cd1589eb73b86f4b874c52ed39cdce1ba7cef790f314c4523f",
  "tx_index": "0x0",
  "from": "0xfa78a211f7df670338daed1f96177c9fe154fcb1",
  "to": "0x6c8b8870c415f3b2d5fe0cd61e9c6960bad8e0c9",
  "input": "0x071e9503000000000000000000000000000000000000000000000000000000000000000a000000000000000000000000000000000000000000000000000000000000000a",
  "nonce": "0x15",
  "value": "0x0",
  "gas": "0xc0dec0de",
  "gas_price": "0x0",
  "max_priority_fee_per_gas": "0x0",
  "max_fee_per_gas": "0x0",
  "signature": null,
  "type": null,
  "state_overrides": {
    "0x6c8b8870c415f3b2d5fe0cd61e9c6960bad8e0c9": {
      "nonce": null,
      "code": "0x6eb82b4e15d4981111fcbcedf181b33a60c8bd18b9dd40a1498bf864736f6c63430008140033",
      "balance": null,
      "state": null,
      "stateDiff": null
    }
  },
  "block_overrides": null,
  "function_name": "mint"
}

Authorizations

X-Access-Key
string
header
required

An API key is a token that a client provides when making API calls. The key can be sent as a request header:

curl 'https://api.tenderly.co/api/v1/account/${TENDERLY_ACCOUNT_SLUG}/project/${TENDERLY_PROJECT_SLUG}/simulate' \
  -H 'X-Access-Key: ${TENDERLY_ACCESS_KEY}' \
  ...

Learn how to generate API access tokens at Tenderly Docs.

Path Parameters

accountSlug
string
required

Account slug of the user/organization Virtual Environment belongs to

projectSlug
string
required

Project slug of the account

vnetId
string
required

Virtual Environment ID

txHash
string
required

Hash of transaction

Response

A successful response.

id
string

Unique identifier of the transaction.

Example:

"12345"

vnet_id
string

Identifier of the Virtual Environment.

Example:

"67890"

origin
string

Origin of the transaction.

Example:

"user"

category
string

Category of the transaction.

Example:

"payment"

kind
string

Kind of transaction.

Example:

"transfer"

status
string

Status of the transaction.

Example:

"success"

error_reason
string

Reason for transaction error.

Example:

"Insufficient funds"

rpc_method
string

RPC method used for the transaction.

Example:

"eth_sendTransaction"

created_at
string<date-time>

Timestamp when the transaction was created.

Example:

"2024-04-21T12:00:00Z"

block_number
string

Block number of the transaction.

Example:

"123456"

block_hash
string

Hash of the block containing the transaction.

Example:

"0xabcdef123456..."

tx_hash
string

Hash of the transaction.

Example:

"0xabcdef123456..."

tx_index
string

Index of the transaction within the block.

Example:

"1"

from
string

Sender address of the transaction.

Example:

"0x123456789..."

to
string

Receiver address of the transaction.

Example:

"0x987654321..."

input
string

Input data of the transaction.

Example:

"0xabcdef123456..."

nonce
string

Nonce of the transaction.

Example:

"123"

value
string

Value of the transaction.

Example:

"1000000000000000000"

gas
string

Gas of the transaction.

Example:

"21000"

gas_price
string

Gas price of the transaction.

Example:

"1000000000"

max_priority_fee_per_gas
string

Maximum priority fee per gas of the transaction.

Example:

"1000000000"

max_fee_per_gas
string

Maximum fee per gas of the transaction.

Example:

"2000000000"

signature
string

Signature of the transaction.

Example:

"0xabcdef123456..."

type
string

Type of the transaction.

Example:

"1"

stateOverrides
stateOverrides · object

Overrides for specific state objects.

blockOverrides
blockOverrides · object

Overrides for block data

Example:
{
  "number": "0x124214",
  "timestamp": "0x124124"
}
function_name
string

Name of the function invoked by the transaction.

Example:

"transferFunds"